
;************************************************************************
; Read_Register 							*
; Read a value from a register						*
; Entry:	Register - Port to read value from			*
; Exit: 	AX	 - Value read in				*
;************************************************************************

Register	EQU	[BP+6]

	PUBLIC	Read_Register

Read_Register	PROC FAR
	PUSH	BP
	MOV	BP,SP
	MOV	DX,Register		;Fetch register address
	IN	AL,DX			;Read value
	XOR	AH,AH
	POP	BP
	RET	2
Read_Register	ENDP
