
;************************************************************************
; Using BIOS service to load all registers in palette                   *
;************************************************************************
                                        ;Palette + Overscan value
Palette_table   DB      0, 1, 2, 3, 4, 5, 6, 7
                DB      8, 9,10,11,12,13,14,15, 0

        PUBLIC  _BIOS_Palette

_BIOS_Palette   PROC NEAR
        PUSH    ES
        MOV     AX,CS                   ;Load ES with Code segment
        MOV     ES,AX                   ;to get address of table into ES:DX
        LEA     DX,Palette_table        ;Load BX with offset of VLT
        MOV     AX,1002H                ;Function 10 and subfunction 02
        INT     10H                     ;Ask BIOS to load the palette
        POP     ES
        RET
_BIOS_Palette   ENDP
