
;************************************************************************
; Use BIOS call to clear memory                                         *
;************************************************************************

        PUBLIC  _BIOS_Clear

_BIOS_Clear     PROC NEAR
        PUSH    ES                      ;Save ES
        XOR     AX,AX                   ;Load 0 into ES
        MOV     ES,AX
        MOV     CX,0                    ;Set upper left to 0,0
        MOV     DH,ES:[BIOS_Rows]       ;Get lower right corner
        MOV     DL,ES:[BIOS_Columns]
        DEC     DH
        DEC     DL
        MOV     BH,7                    ;Normal attribute
        MOV     AH,6                    ;Function = SCROLL UP
        MOV     AL,0                    ;Subfunction = whole screen
        INT     10H                     ;Ask BIOS to scroll screen
        POP     ES                      ;Restore ES
        RET
_BIOS_Clear     ENDP
