
;************************************************************************
; Using BIOS to obtain cursor start and end                             *
; Exit: AH - Cursor start                                               *
;       AL - Cursor end                                                 *
;************************************************************************

        PUBLIC  _BIOS_Get_Curs_Size

_BIOS_Get_Curs_Size   PROC NEAR
        MOV     AH,3                    ; Select BIOS service 3
        MOV     BL,0                    ; Set page
        INT     10H                     ; Call BIOS
        MOV     AH,CH                   ; Save starting value
        MOV     AL,CL                   ; Save ending value
        RET
_BIOS_Get_Curs_Size   ENDP
