
;************************************************************************
; Fetching page size from BIOS data area                                *
; Exit: AX - Page size                                                  *
;************************************************************************

        PUBLIC  _Get_Page_Size

_Get_Page_Size  PROC NEAR
        PUSH    ES                      ;Preserve ES
        XOR     AX,AX                   ;Set ES to segment zero
        MOV     ES,AX
        MOV     AX,ES:[BIOS_Page_Size]  ;Fetch page size
        POP     ES                      ;Restrore ES
        RET
_Get_Page_Size  ENDP
