
;************************************************************************
; Get current cursor position using BIOS call                           *
; and returnt the values                                                *
; Exit: AL - Column                                                     *
;       AH - Row                                                        *
;************************************************************************

        PUBLIC _BIOS_Get_Cursor_Pos

_BIOS_Get_Cursor_Pos   PROC NEAR
        MOV     AH,03H                  ;Load BIOS function
        MOV     BH,0                    ;Specify current page to be 0
        INT     10H                     ;Call BIOS so get position
        MOV     AH,DH                   ;Save row
        MOV     AL,DL                   ;Save column
        RET
_BIOS_Get_Cursor_Pos   ENDP
