
;************************************************************************
;  Display 'Hello' in a single line box                                 *
;************************************************************************

line1   DB      218,196,196,196,196,196,196,196,191
line2   DB      179,' ','H','e','l','l','o',' ',179
line3   DB      192,196,196,196,196,196,196,196,217

Boxed_Hello     PROC    NEAR
        PUSH    BP
        PUSH    ES
        MOV     AX,CS                   ;Get pointer to the string
        MOV     ES,AX                   ;into register pair ES:BP
        LEA     BP,Line1
        MOV     BX,0                    ;Select page 0
        MOV     BL,7                    ;Use normal attribute
        MOV     CX,9                    ;Display 9 characters
        MOV     DH,12                   ;Start at row 12
        MOV     DL,35                   ;Start at column 35
        MOV     AH,13H                  ;Function = WRITE TEXT STRING
        MOV     AL,0H                   ;Subfunction = Update Cursor Pos.
        INT     10H                     ;Ask BIOS to display the text

        MOV     DH,13                   ;Next line at row 13
        LEA     BP,Line2
        INT     10H

        MOV     DH,14                   ;Next line at row 14
        LEA     BP,Line3
        INT     10H

        POP     ES
        POP     BP
        RET
Boxed_Hello     ENDP
