
;************************************************************************
; Load register example                                                 *
; Load CRTC register 0Ah with the value 20h                             *
;************************************************************************

Change_Underline        PROC NEAR
        PUSH    ES
        XOR     AX,AX                   ;Set ES to point to BIOS data area
        MOV     ES,AX
        MOV     DX,ES:[BIOS_CRT_Addr]   ;Fetch CRTC address
        MOV     AL,0AH                  ;Fetch index
        OUT     DX,AL                   ;Select register
        INC     DX                      ;Increment register address
        MOV     AL,20H                  ;Fetch value
        OUT     DX,AL                   ;Load the register with value
        POP     ES
        RET
Change_Underline        ENDP
