
;************************************************************************
; Read_Register                                                         *
; Read a value from a register                                          *
; Entry:        Register - Port to read value from                      *
; Exit:         AX       - Value read in                                *
;************************************************************************

Register        EQU     [BP+4]

        PUBLIC  _Read_Register

_Read_Register  PROC NEAR
        PUSH    BP
        MOV     BP,SP
        MOV     DX,Register             ;Fetch register address
        IN      AL,DX                   ;Read value
        XOR     AH,AH
        POP     BP
        RET
_Read_Register  ENDP
