

;************************************************************************
; C interface to BIOS video services.  This routine will not            *
; return any values passed by BIOS service.                             *
; Entry:        [BP+4], [BP+6], ... - Values for AX,BX,CX,DX,ES,BP      *
;************************************************************************

        PUBLIC  _Video_BIOS

_Video_BIOS     PROC    NEAR
        PUSH    BP                      ;Preserve BP
        MOV     BP,SP                   ;Use BP as index into stack
        PUSH    ES                      ;Preserve ES

        MOV     AX,[BP+4]               ;Copy values from stack into
        MOV     BX,[BP+6]               ;registers
        MOV     CX,[BP+8]
        MOV     DX,[BP+10]
        MOV     ES,[BP+12]
        MOV     BP,[BP+14]
        INT     10H                     ;Perform the BIOS service

        POP     ES                      ;Restore ES and BP
        POP     BP
        RET
_Video_BIOS     ENDP
