

;************************************************************************
; C interface to BIOS video services.  This routine will not		*
; return any values passed by BIOS service.				*
; Entry:	[BP+4], [BP+6], ... - Values for AX,BX,CX,DX,ES,BP	*
;************************************************************************

	PUBLIC	Video_BIOS

Video_BIOS	PROC	FAR
	PUSH	BP			;Preserve BP
	MOV	BP,SP			;Use BP as index into stack
	PUSH	ES			;Preserve ES

	MOV	AX,[BP+16]		;Copy values from stack into
	MOV	BX,[BP+14]		;registers
	MOV	CX,[BP+12]
	MOV	DX,[BP+10]
	MOV	ES,[BP+8]
	MOV	BP,[BP+6]
	INT	10H			;Perform the BIOS service

	POP	ES			;Restore ES and BP
	POP	BP
	RET	12
Video_BIOS	ENDP
