
;************************************************************************
; Use BIOS function to get the current video mode                       *
; Exit: AX - Current operation mode                                     *
;************************************************************************

        PUBLIC  _BIOS_Get_Mode

_BIOS_Get_Mode  PROC NEAR
        MOV     AH,0FH                  ;Function = GET DISPLAY MODE
        INT     10H                     ;Ask BIOS to fetch mode
        XOR     AH,AH                   ;Return mode in AX
        RET
_BIOS_Get_Mode  ENDP
