
;************************************************************************
; Fetching page size from BIOS data area				*
; Exit: AX - Page size							*
;************************************************************************

PUBLIC	Get_Page_Size

Get_Page_Size	PROC FAR
	PUSH	ES			;Preserve ES
	XOR	AX,AX			;Set ES to segment zero
	MOV	ES,AX
	MOV	AX,ES:[BIOS_Page_Size]	;Fetch page size
	POP	ES			;Restrore ES
	RET
Get_Page_Size	ENDP
