
;************************************************************************
; Enable text blink, using BIOS function 10hex                          *
; Entry:        Flag - 0 => disable blinking                            *
;                      1 => enable blinking                             *
;************************************************************************

Flag    EQU     [BP+4]

        PUBLIC  _BIOS_Blink

_BIOS_Blink     PROC NEAR
        PUSH    BP
        MOV     BP,SP
        MOV     BL,Flag                 ;Enable flag
        MOV     AH,10H                  ;Function = SET PALETTE REGISTERS
        MOV     AL,03H                  ;Subfunction = BLINK/INTENSIFY
        INT     10H                     ;Call BIOS to enable blinking
        POP     BP
        RET
_BIOS_Blink     ENDP
